Skip to main content
GET
/
transactions
/
external
/
{externalId}
Retrieve a transaction by external ID
curl --request GET \
  --url https://api.artu.ai/transactions/external/{externalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "relatedClientIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "scopes": [],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timestamp": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isAlerted": true,
  "alertedAt": "2023-11-07T05:31:56Z",
  "status": "not_applicable",
  "amount": "<unknown>",
  "currency": "<unknown>",
  "exchangeRates": {},
  "externalId": "<string>",
  "description": "<string>",
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "scopeData": {
    "MX": {
      "actividadVulnerable": {
        "ARI": {
          "property": {
            "leaseStartDate": "2023-12-25",
            "leaseEndDate": "2023-12-25",
            "colonia": "<string>",
            "calle": "<string>",
            "numeroExterior": "<string>",
            "postalCode": "<string>",
            "folioReal": "<string>",
            "value": "<unknown>",
            "numeroInterior": "<string>"
          },
          "payments": [
            {
              "currency": "<string>",
              "paymentDate": "2023-12-25",
              "amount": "<unknown>"
            }
          ],
          "operationType": "1501"
        },
        "AVI": {
          "operationType": "<unknown>",
          "cryptoCurrency": "<string>",
          "hash": "<unknown>",
          "cryptoAmount": "<unknown>"
        },
        "INM": {
          "inmuebles": [
            {
              "colonia": "<string>",
              "calle": "<string>",
              "numeroExterior": "<string>",
              "postalCode": "<string>",
              "folioReal": "<string>",
              "value": "<unknown>",
              "numeroInterior": "<string>",
              "dimensionTerreno": "<unknown>",
              "dimensionConstruido": "<unknown>"
            }
          ],
          "contract": {
            "type": "<unknown>",
            "instrumentNumber": "<string>",
            "instrumentDate": "2023-12-25",
            "notaryNumber": "<string>",
            "cadastralValue": "<unknown>"
          },
          "operationType": "501",
          "payments": [
            {
              "currency": "<string>",
              "paymentDate": "2023-12-25",
              "amount": "<unknown>"
            }
          ]
        },
        "JYS": {
          "branchInformation": {
            "type": "<unknown>",
            "postalCode": "<string>"
          },
          "settlementType": "<unknown>"
        },
        "MJR": {
          "operationPostalCode": "<string>",
          "goods": [
            {
              "quantity": "<unknown>"
            }
          ],
          "payments": [
            {
              "currency": "<string>",
              "paymentDate": "2023-12-25",
              "amount": "<unknown>"
            }
          ],
          "operationType": "601"
        },
        "MPC": {
          "postalCode": "<string>",
          "disbursements": [
            {
              "currency": "<string>",
              "disbursementDate": "2023-12-25",
              "amount": "<unknown>"
            }
          ],
          "collateral": [
            {
              "bienMutuo": {
                "kind": "<unknown>",
                "valorReferencia": "<string>",
                "postalCode": "<string>",
                "folioReal": "<string>"
              },
              "guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        },
        "TSC": {
          "idNumber": "<string>",
          "operationType": "211"
        },
        "VEH": {
          "postalCode": "<string>",
          "vehicles": [
            {
              "kind": "<unknown>",
              "marcaFabricante": "<string>",
              "modelo": "<string>",
              "anio": "<string>",
              "vin": "<string>",
              "repuve": "<string>",
              "placas": "<string>"
            }
          ],
          "operationDate": "2023-12-25",
          "payments": [
            {
              "currency": "<string>",
              "paymentDate": "2023-12-25",
              "amount": "<unknown>"
            }
          ]
        }
      },
      "cnbv": {
        "TRANSMISOR": {
          "sucursal": "<string>"
        }
      }
    },
    "US": "<unknown>"
  },
  "relatedClients": [
    {
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {}
    }
  ],
  "riskAssessments": {},
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required
Minimum string length: 1

Query Parameters

requireScope
enum<string>[]
Available options:
base,
MX:AV,
MX:AV:ARI,
MX:AV:AVI,
MX:AV:INM,
MX:AV:JYS,
MX:AV:MJR,
MX:AV:MPC,
MX:AV:TSC,
MX:AV:VEH,
MX:CNBV,
MX:CNBV:TRANSMISOR,
MX

Response

200 - application/json

OK

scopes
enum<string>[]
required
Available options:
base,
MX:AV,
MX:AV:ARI,
MX:AV:AVI,
MX:AV:INM,
MX:AV:JYS,
MX:AV:MJR,
MX:AV:MPC,
MX:AV:TSC,
MX:AV:VEH,
MX:CNBV,
MX:CNBV:TRANSMISOR,
MX
id
string<uuid>
required
timestamp
string<date-time>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
isAlerted
boolean
required
alertedAt
string<date-time> | null
required
status
enum<string>
default:not_applicable

Status

Available options:
not_applicable,
pending,
completed,
failed,
cancelled
amount

Amount

currency
any

Currency

exchangeRates
object

Exchange Rates

externalId
string

External ID

description
string

Description

productId
string<uuid>
metadata
object

Metadata

scopeData
object
riskAssessments
object
tags
object[]